# $Revision: 1.9 $, $Date: 2009/11/16 18:19:05 $
Summary:	Compiz option code generator
Summary(pl.UTF-8):	Generator kodu opcji Compiza
Name:		compiz-bcop
Version:	0.8.4
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	17c4d1de361acf835f6649ab392f4c62
URL:		http://www.compiz.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
# only for configure check
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
Requires:	/usr/bin/getopt
# xsltproc
Requires:	libxslt-progs
Requires:	pkgconfig >= 1:0.19
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noarchpkgconfigdir	%{_datadir}/pkgconfig

%description
BCOP is a code generator that provides an easy way to handle plugin
options by generating parts of the plugin code directly from the XML
metadata file. It is used for most of the Compiz Fusion plugins.

%description -l pl.UTF-8
BCOP jest generatorem kodu, który pozwala na łatwą obsługę opcji
wtyczek poprzez generowanie części kodu wtyczki bezpośrednio z pliku
XML metadanych. Jest używany przez większość wtyczek Compiz Fusion.

%prep
%setup -q

echo "echo -n %{version}" > VERSION

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/bcop
%{_datadir}/bcop
%{_noarchpkgconfigdir}/bcop.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: compiz-bcop.spec,v $
Revision 1.9  2009/11/16 18:19:05  sparky
- up to 0.8.4

Revision 1.8  2009/03/08 16:37:29  shadzik
- 0.8.2

Revision 1.7  2008/09/24 16:21:21  vip
- up to 0.7.8

Revision 1.6  2008-05-31 17:00:36  aredridel
- 0.7.6

Revision 1.5  2008-04-06 10:53:55  wolvverine
- up to 0.7.4

Revision 1.4  2008-03-07 05:03:17  aredridel
- 0.7.2

Revision 1.3  2007-10-21 08:10:12  rotom
- up to 0.6.0

Revision 1.2  2007/08/25 12:37:45  qboosh
- removed mistaken pkgconfig patch, this package is noarch
- R: getopt, pkgconfig, xsltproc (for bcop script)
- better Group (Development/Tools)

Revision 1.1  2007/08/13 14:43:24  wolf
- new
